Skip to main content

select

Description

Optional. Enables/disables the possibilty to select rows on click.

Usage

select?: boolean;

Parameters

Enables/disables the possibilty to select rows on click.

  • true - the selection is enabled (default)
  • false - the selection is disabled

Example

<script setup>
import { getData } from "./common/data";
import { Grid } from "@svar-ui/vue-grid";

const { data, columns } = getData();

</script>

<template>
<Grid
:data="data"
:columns="columns"
:select="false" />
</template>

Related articles: select-row

select
Description
Optional. Enables/disables the possibilty to select rows on click.Usage
select?: boolean;
Parameters
Enables/disables the possibilty to select rows on click.
true- the selection is enabled (default)false- the selection is disabled
Example
import { getData } from "./common/data";
import { Grid } from "@svar-ui/react-grid";
const { data, columns } = getData();
export default function Example() {
return (
<Grid
data={data}
columns={columns}
select={false}
/>
);
}
Related articles: select-row